Skip to main content
GET
/
orchestration
/
workflows
/
list
List workflows
curl --request GET \
  --url https://api.getcargo.io/v1/orchestration/workflows/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getcargo.io/v1/orchestration/workflows/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getcargo.io/v1/orchestration/workflows/list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "workflows": [
    {
      "uuid": "<string>",
      "workspaceUuid": "<string>",
      "nodes": [
        {
          "uuid": "<string>",
          "slug": "<string>",
          "nodes": "<array>",
          "isArchived": true,
          "kind": "<string>",
          "actionSlug": "<string>",
          "name": "<string>",
          "description": "<string>"
        }
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>",
      "playUuid": "<string>",
      "toolUuid": "<string>",
      "folderUuid": "<string>",
      "template": {
        "slug": "<string>",
        "isAvailable": true
      },
      "lastBatch": {
        "uuid": "<string>",
        "errorMessage": "<string>",
        "createdAt": "<string>",
        "finishedAt": "<string>"
      },
      "deployedRelease": {
        "uuid": "<string>",
        "userUuid": "<string>",
        "description": "<string>",
        "version": "<string>",
        "nodes": [
          {
            "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "slug": "<string>",
            "config": {},
            "childrenUuids": [
              "<string>"
            ],
            "fallbackOnFailure": true,
            "position": {
              "x": 123,
              "y": 123
            },
            "kind": "native",
            "actionSlug": "<string>",
            "name": "<string>",
            "description": "<string>",
            "retry": {
              "maximumAttempts": 123,
              "initialInterval": 123,
              "backoffCoefficient": 123
            },
            "fallbackChildUuid": "<string>"
          }
        ],
        "formFields": [
          {
            "slug": "<string>",
            "name": "<string>",
            "description": "<string>",
            "placeholder": "<string>",
            "isRequired": true
          }
        ],
        "templateSlug": "<string>",
        "deployedAt": "<string>",
        "createdAt": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

templateSlug
string

Filter workflows by template slug.

Response

Successful response

workflows
Workflows · object[]
required

List of workflows.